BDU:2020-02920: Уязвимость функции nfc_llcp_build_tlv ядра операционной системы Linux, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции nfc_llcp_build_tlv ядра операционной системы Linux связана с разыменованием нулевого указателя. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании
Вендор Canonical Ltd., Novell Inc., Сообщество свободного программного обеспечения, ООО «РусБИТех-Астра», ООО «Открытая мобильная платформа»
Наименование ПО Ubuntu, OpenSUSE Leap, Debian GNU/Linux, Astra Linux Common Edition (запись в едином реестре российских программ №4433), Linux, ОС Аврора (запись в едином реестре российских программ №1543)
Версия ПО
  • 16.04 LTS (Ubuntu)
  • 42.3 (OpenSUSE Leap)
  • 18.04 LTS (Ubuntu)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 2.12 «Орёл» (Astra Linux Common Edition)
  • 15.0 (OpenSUSE Leap)
  • 15.1 (OpenSUSE Leap)
  • 10.0 (Debian GNU/Linux)
  • до 4.20.15 (Linux)
  • 3.2.3.10 (ОС Аврора)
Тип ПО Операционная система
Операционные системы и аппаратные платформы
  • Canonical Ltd. Ubuntu 16.04 LTS
  • Novell Inc. OpenSUSE Leap 42.3
  • Canonical Ltd. Ubuntu 18.04 LTS
  • Сообщество свободного программного обеспечения Debian GNU/Linux 8.0
  • Сообщество свободного программного обеспечения Debian GNU/Linux 9.0
  • ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» (запись в едином реестре российских программ №4433)
  • Novell Inc. OpenSUSE Leap 15.0
  • Novell Inc. OpenSUSE Leap 15.1
  • Сообщество свободного программного обеспечения Debian GNU/Linux 10.0
  • Сообщество свободного программного обеспечения Linux до 4.20.15
  • ООО «Открытая мобильная платформа» ОС Аврора 3.2.3.10 F+ Life Tab Plus (запись в едином реестре российских программ №1543)
Тип ошибки Разыменование указателя NULL
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 13.06.2019
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для linux:
Обновление программного обеспечения до 4.18 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета linux-4.9) до 4.9.210-1~deb8u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета linux-4.9) до 4.9.210-1~deb8u1 или более поздней версии

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-06/msg00039.html
https://lists.opensuse.org/opensuse-security-announce/2019-06/msg00040.html
https://lists.opensuse.org/opensuse-security-announce/2019-06/msg00048.html

Для Ubuntu:
https://usn.ubuntu.com/4094-1/
https://usn.ubuntu.com/4118-1/

Для ОС Аврора:
https://cve.omprussia.ru/bb6323
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения